Reintentar item de lote
curl --request POST \
--url https://facture.ar/api/invoices/batches/{batchId}/items/{itemId}/retry \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://facture.ar/api/invoices/batches/{batchId}/items/{itemId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://facture.ar/api/invoices/batches/{batchId}/items/{itemId}/retry"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/invoices/batches/{batchId}/items/{itemId}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "<string>",
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceData": {
"cuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1.01,
"description": "<string>",
"docTipo": 123,
"docNro": 123,
"invoiceType": 123,
"ivaType": 123,
"currency": "ARS",
"dueDate": "2023-12-25"
},
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Lotes
Reintentar item de lote
Reintenta el procesamiento de un item específico que falló en un lote.
POST
/
invoices
/
batches
/
{batchId}
/
items
/
{itemId}
/
retry
Reintentar item de lote
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del lote
ID del item del lote
⌘I